#cmake -DCMAKE_TOOLCHAIN_FILE=../Toolchain-mingw32.cmake ../sources

# nastavenie platformy
set(CMAKE_SYSTEM_NAME Windows)

# nastavenie kompilatoru
set(CMAKE_C_COMPILER i686-pc-mingw32-gcc)
set(CMAKE_CXX_COMPILER i686-pc-mingw32-g++)

# zbavime sa skaredych varovani
add_definitions(-fno-strict-aliasing -mnop-fun-dllimport)

# nastavenie hladania
set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)

# Qt 4 prefix
set(QT_WIN_PREFIX /home/mirec/.wine/drive_c/Qt/4.4.3)

# nastavenie cesty k mingw a Qt 4
set(CMAKE_FIND_ROOT_PATH /usr/i686-pc-mingw32/ ${QT_WIN_PREFIX})

# cesta k linuxovym binarkam Qt 4 nastrojov
set(QT_BINARY_DIR /usr/bin)

# cesty ku Qt 4 knizniciam a hlavickovym suborom
set(QT_LIBRARY_DIR        ${QT_WIN_PREFIX}/lib)
set(QT_QTCORE_LIBRARY     ${QT_LIBRARY_DIR}/libQtCore4.a)
set(QT_QTCORE_INCLUDE_DIR ${QT_WIN_PREFIX}/include/QtCore)
set(QT_QTGUI_LIBRARY      ${QT_LIBRARY_DIR}/libQtGui4.a)
set(QT_QTGUI_INCLUDE_DIR  ${QT_WIN_PREFIX}/include/QtGui)
set(QT_MKSPECS_DIR        ${QT_WIN_PREFIX}/mkspecs)

# cesty k linuxovym Qt 4 nastrojom
set(QT_MOC_EXECUTABLE     ${QT_BINARY_DIR}/moc)
set(QT_QMAKE_EXECUTABLE   ${QT_BINARY_DIR}/qmake)
set(QT_UIC_EXECUTABLE     ${QT_BINARY_DIR}/uic)
set(QT_RCC_EXECUTABLE     ${QT_BINARY_DIR}/rcc)

# pridame komponenty pre cpack
install(FILES /usr/i686-pc-mingw32/usr/bin/mingwm10.dll
	DESTINATION bin
	COMPONENT mingw)

install(FILES ${QT_WIN_PREFIX}/bin/QtCore4.dll ${QT_WIN_PREFIX}/bin/QtGui4.dll
	DESTINATION bin
	COMPONENT qt)

set(CPACK_COMPONENTS_ALL mingw qt)

set(CPACK_COMPONENT_MINGW_DISPLAY_NAME "MinGW Library")
set(CPACK_COMPONENT_QT_DISPLAY_NAME "Qt4 Library")

set(CPACK_COMPONENT_MINGW_DESCRIPTION
	"MinGW")
set(CPACK_COMPONENT_QT_DESCRIPTION
	"Qt 4.4.3")


